
# S4 Connector should only be started if S4 Connector service is set

s4connector_service_set="$(univention-ldapsearch "(&(cn=$(hostname))(univentionService=S4 Connector))" -LLL dn)"

is_connector_running ()
{
	pgrep -f '/usr/bin/python.*univention.s4connector.s4.main'
}

if [ -n "$s4connector_service_set" ] && ! is_connector_running; then
	echo "S4 Connector Service is set but S4 Connector is not running";
	exit 1
elif [ -z "$s4connector_service_set" ] && is_connector_running; then
	echo "S4 Connector Service is not set but S4 Connector is running";
	exit 1
fi

